pragma solidity 0.8.19;

contract Mock {
    uint256 constant TEST_PRIVATE_KEY_ONE =
        0x66ddbd7cbe4a566df405f6ded0b908c669f88cdb1656380c050e3a457bd21df0;
    uint256 constant TEST_PRIVATE_KEY_TWO =
        0xa4c8c98120e77741a87a116074a2df4ddb20d1149069290fd4a3d7ee65c55064;
    address constant TEST_ADDRESS_ONE =
        0x118251976c65AFAf291f5255450ddb5b6A4d8B88;
    address constant TEST_ADDRESS_TWO =
        0x63aE7d90Eb37ca39FC62dD9991DbEfeE70673a20;

    uint256 constant PROPOSAL_DURATION = 7 days;
    uint256 constant PROPOSAL_THRESHOLD = 25000 ether;
    string constant PROPOSAL_DESCRIPTION =
        "{title:'Proposal #19: New developer and remuneration',description:''}";

    address constant VERIFIER_ADDRESS =
        0x77777FeDdddFfC19Ff86DB637967013e6C6A116C;

    bytes32 constant PERMIT_TYPEHASH =
        keccak256(
            "Permit(address owner,address spender,uint256 value,uint256 nonce,uint256 deadline)"
        );

    bytes32 constant EIP712_DOMAIN =
        keccak256(
            abi.encode(
                keccak256(
                    "EIP712Domain(string name,string version,uint256 chainId,address verifyingContract)"
                ),
                keccak256(bytes("TornadoCash")),
                keccak256(bytes("1")),
                1,
                VERIFIER_ADDRESS
            )
        );

    uint16 constant PERMIT_FUNC_SELECTOR = uint16(0x1901);
}
