pragma solidity 0.8.19;

contract Parameters {
    uint256 FISCAL_QUARTER_DURATION = 91 days;
    uint256 REMUNERATION_START_TS = block.timestamp;
    uint256 REMUNERATION_AMOUNT = 4172 ether;
    uint256 REMUNERATION_NORMALISED_AMOUNT =
        REMUNERATION_AMOUNT - (REMUNERATION_AMOUNT % FISCAL_QUARTER_DURATION);
    uint256 SERVICES_COST_REIMBURSEMENT_AMOUNT = 834 ether;

    address REMUNERATION_ADDRESS = 0x9Ff3C1Bea9ffB56a78824FE29f457F066257DD58;

    // Beneficary addresses
    address public _governanceAddress =
        0x5efda50f22d34F262c29268506C5Fa42cB56A1Ce;
    address public _tokenAddress = 0x77777FeDdddFfC19Ff86DB637967013e6C6A116C;
    address public _sablierAddress = 0xCD18eAa163733Da39c232722cBC4E8940b1D8888;
}
